
import { Image } from '@tarojs/components'
import Taro from '@tarojs/taro'
import { BIZ_STATUS } from '@/constants/user'
import './index.scss'

export default function MyCustomerListItem (props) {
  const { data = {} } = props

  const { expirationDate, customerStatus } = data
  const expStr = expirationDate && customerStatus === '1' ? `${expirationDate.substring(0, 10)} 回收` : ''

  const gotoDetail = () => {
    const id = data.channelCustomerId || data.customerId
    const url = `/pages/mine/myCustomerDetail/index?id=${id}`
    Taro.navigateTo({ url })
  }

  return (
    <view className='components MyCustomerListItem flex-h' onClick={gotoDetail}>
      <view className='Img'>
        <Image mode='scaleToFill' src={data.avatarurl}></Image>
      </view>
      <view className='flex-item'>
        <view className='Name flex-h'>
          <text className='flex-item'>{data.name}</text>
          <text>{expStr}</text>
        </view>
        <view className='Time flex-h'>
          <text className='flex-item'>{data.phone}</text>
          <text>{BIZ_STATUS[customerStatus]||'报备'}</text>
        </view>
      </view>
    </view>
  )
}
